perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher H. Laco" <cl...@chrislaco.com>
Subject Re: mod_perl userbase care
Date Thu, 24 Mar 2005 19:08:36 GMT
Joe Schaefer wrote:
> Stas Bekman <stas@stason.org> writes:
> 
> 
>>Joe Schaefer wrote:
> 
> 
> [...]
> 
> 
>>>Then let's flesh out the consequences, and assume it will be
>>>fixed in 2.2.  What I'm having difficulty understanding
>>>here is this:  how does renaming Apache::FilterRec to
>>>Apache2::FilterRec now make any difference whatsoever?   The API
>>>change to the perl API would be the same either way, right?
>>
>>It doesn't matter. What matters is that mp2.2 will be incompatible
>>with mp2.0. So you will have the same problem as you have now mp1 vs
>>mp2. 
> 
> 
> Not quite.  The problem we have with mp1 and mp2 is whether or
> not we're going to allow them to coexist within the same perl
> installation.  While I think doing so makes a lot of sense; OTOH, 
> I think it makes absolutely no sense whatsoever to attempt that 
> for mp2.0 and mp2.2.
> 

I agree.  In fact, I think that being able to run mp1 and mp2 within the 
same perl install is a requirement. Just because I have mp2 installed in 
my 5.8.6 install doesn't mean that I don't have work to do in the mp1 
world, especially when it comes to things that aren't close to an MP2 
conversion like AxKit.

Mime
View raw message